<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Models\Nonce;
use App\Observers\NoncesObserver;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        Nonce::observe(NoncesObserver::class);
    }
}
